// Machine generated IDispatch wrapper class(es) created with Add Class from Typelib Wizard

#import "C:\\AlgoStars\\APPs(UAT)\\TCoreRelease\\Components\\TCQuoteWrapperAPI.dll" no_namespace
// CqdOptionGreeks wrapper class

class CqdOptionGreeks : public COleDispatchDriver
{
public:
	CqdOptionGreeks(){} // Calls COleDispatchDriver default constructor
	CqdOptionGreeks(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	CqdOptionGreeks(const CqdOptionGreeks& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

	// Attributes
public:

	// Operations
public:


	// qdOptionGreeks methods
public:
	long get_DataCookie()
	{
		long result;
		InvokeHelper(0x1, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	void put_DataCookie(long newValue)
	{
		static BYTE parms[] = VTS_I4 ;
		InvokeHelper(0x1, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	CString get_UnderlyingAsset()
	{
		CString result;
		InvokeHelper(0x2, DISPATCH_PROPERTYGET, VT_BSTR, (void*)&result, NULL);
		return result;
	}
	long get_TradingDay()
	{
		long result;
		InvokeHelper(0x3, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	long get_TradingHours()
	{
		long result;
		InvokeHelper(0x4, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	__int64 get_Last()
	{
		__int64 result;
		InvokeHelper(0x5, DISPATCH_PROPERTYGET, VT_I8, (void*)&result, NULL);
		return result;
	}
	__int64 get_Vol()
	{
		__int64 result;
		InvokeHelper(0x6, DISPATCH_PROPERTYGET, VT_I8, (void*)&result, NULL);
		return result;
	}
	__int64 get_Bid()
	{
		__int64 result;
		InvokeHelper(0x7, DISPATCH_PROPERTYGET, VT_I8, (void*)&result, NULL);
		return result;
	}
	__int64 get_Ask()
	{
		__int64 result;
		InvokeHelper(0x8, DISPATCH_PROPERTYGET, VT_I8, (void*)&result, NULL);
		return result;
	}
	__int64 get_ImpVol()
	{
		__int64 result;
		InvokeHelper(0x9, DISPATCH_PROPERTYGET, VT_I8, (void*)&result, NULL);
		return result;
	}
	__int64 get_BIV()
	{
		__int64 result;
		InvokeHelper(0xa, DISPATCH_PROPERTYGET, VT_I8, (void*)&result, NULL);
		return result;
	}
	__int64 get_SIV()
	{
		__int64 result;
		InvokeHelper(0xb, DISPATCH_PROPERTYGET, VT_I8, (void*)&result, NULL);
		return result;
	}
	__int64 get_Delta()
	{
		__int64 result;
		InvokeHelper(0xc, DISPATCH_PROPERTYGET, VT_I8, (void*)&result, NULL);
		return result;
	}
	__int64 get_Gamma()
	{
		__int64 result;
		InvokeHelper(0xd, DISPATCH_PROPERTYGET, VT_I8, (void*)&result, NULL);
		return result;
	}
	__int64 get_Vega()
	{
		__int64 result;
		InvokeHelper(0xe, DISPATCH_PROPERTYGET, VT_I8, (void*)&result, NULL);
		return result;
	}
	__int64 get_Theta()
	{
		__int64 result;
		InvokeHelper(0xf, DISPATCH_PROPERTYGET, VT_I8, (void*)&result, NULL);
		return result;
	}
	__int64 get_Rho()
	{
		__int64 result;
		InvokeHelper(0x10, DISPATCH_PROPERTYGET, VT_I8, (void*)&result, NULL);
		return result;
	}
	__int64 get_TheoVal()
	{
		__int64 result;
		InvokeHelper(0x11, DISPATCH_PROPERTYGET, VT_I8, (void*)&result, NULL);
		return result;
	}
	__int64 get_ExtVal()
	{
		__int64 result;
		InvokeHelper(0x12, DISPATCH_PROPERTYGET, VT_I8, (void*)&result, NULL);
		return result;
	}
	__int64 get_Margin()
	{
		__int64 result;
		InvokeHelper(0x13, DISPATCH_PROPERTYGET, VT_I8, (void*)&result, NULL);
		return result;
	}
	__int64 get_OI()
	{
		__int64 result;
		InvokeHelper(0x14, DISPATCH_PROPERTYGET, VT_I8, (void*)&result, NULL);
		return result;
	}
	__int64 get_PreOI()
	{
		__int64 result;
		InvokeHelper(0x15, DISPATCH_PROPERTYGET, VT_I8, (void*)&result, NULL);
		return result;
	}
	__int64 get_IntVal()
	{
		__int64 result;
		InvokeHelper(0x16, DISPATCH_PROPERTYGET, VT_I8, (void*)&result, NULL);
		return result;
	}
	__int64 get_PreImpVol()
	{
		__int64 result;
		InvokeHelper(0x17, DISPATCH_PROPERTYGET, VT_I8, (void*)&result, NULL);
		return result;
	}
	__int64 get_UndVol()
	{
		__int64 result;
		InvokeHelper(0x18, DISPATCH_PROPERTYGET, VT_I8, (void*)&result, NULL);
		return result;
	}
	__int64 get_VIX()
	{
		__int64 result;
		InvokeHelper(0x19, DISPATCH_PROPERTYGET, VT_I8, (void*)&result, NULL);
		return result;
	}
	__int64 get_HV_W4()
	{
		__int64 result;
		InvokeHelper(0x1a, DISPATCH_PROPERTYGET, VT_I8, (void*)&result, NULL);
		return result;
	}
	__int64 get_HV_W8()
	{
		__int64 result;
		InvokeHelper(0x1b, DISPATCH_PROPERTYGET, VT_I8, (void*)&result, NULL);
		return result;
	}
	__int64 get_HV_W13()
	{
		__int64 result;
		InvokeHelper(0x1c, DISPATCH_PROPERTYGET, VT_I8, (void*)&result, NULL);
		return result;
	}
	__int64 get_HV_W26()
	{
		__int64 result;
		InvokeHelper(0x1d, DISPATCH_PROPERTYGET, VT_I8, (void*)&result, NULL);
		return result;
	}
	__int64 get_HV_W52()
	{
		__int64 result;
		InvokeHelper(0x1e, DISPATCH_PROPERTYGET, VT_I8, (void*)&result, NULL);
		return result;
	}
	__int64 get_UndOI()
	{
		__int64 result;
		InvokeHelper(0x1f, DISPATCH_PROPERTYGET, VT_I8, (void*)&result, NULL);
		return result;
	}
	CString get_Symbol()
	{
		CString result;
		InvokeHelper(0x20, DISPATCH_PROPERTYGET, VT_BSTR, (void*)&result, NULL);
		return result;
	}
	__int64 GetGreeksValue(LPCTSTR bstrKey)
	{
		__int64 result;
		static BYTE parms[] = VTS_BSTR ;
		InvokeHelper(0x21, DISPATCH_METHOD, VT_I8, (void*)&result, parms, bstrKey);
		return result;
	}
	CString get_GreeksType()
	{
		CString result;
		InvokeHelper(0x22, DISPATCH_PROPERTYGET, VT_BSTR, (void*)&result, NULL);
		return result;
	}
	CString GetGreeksString(LPCTSTR bstrKey)
	{
		CString result;
		static BYTE parms[] = VTS_BSTR ;
		InvokeHelper(0x23, DISPATCH_METHOD, VT_BSTR, (void*)&result, parms, bstrKey);
		return result;
	}
	__int64 get_PreciseTime()
	{
		__int64 result;
		InvokeHelper(0x24, DISPATCH_PROPERTYGET, VT_I8, (void*)&result, NULL);
		return result;
	}
	__int64 GetValueFromIndex(long lIdx)
	{
		__int64 result;
		static BYTE parms[] = VTS_I4 ;
		InvokeHelper(0x25, DISPATCH_METHOD, VT_I8, (void*)&result, parms, lIdx);
		return result;
	}

	// qdOptionGreeks properties
public:

};
